/*!
*****************************************************************************
**
** \file        ./sample_application/fapex_av_demo/src/osd.h
** 
** \version     $Id$
**
** \brief       OSD/CP related function declarations.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2008-2010 by Fujitsu Semiconductor Europe GmbH
** (C) Copyright 2008-2010 by Fujitsu Semiconductor Limited
**
*****************************************************************************
*/

#ifndef OSD_H
    #define OSD_H

    //***********************************************************************
    //***********************************************************************
    //** Defines and Macros
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** Data types
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************

    //***********************************************************************
    //***********************************************************************
    //** API Functions
    //***********************************************************************
    //***********************************************************************

    #ifdef __cplusplus
    extern "C" {
    #endif

    int32_t  OSD_Open(VAL_HdEncoderT systemType);
    int32_t  OSD_Close(void);
    int32_t  OSD_ShowProgram(uint8_t* programInfo);
    int32_t  OSD_Stop(void);
    int32_t  OSD_DrawCurtain(uint32_t milliseconds);
    int32_t  OSD_FadeBlack(void);

    #ifdef __cplusplus
    }
    #endif
#endif
