/****************************************************************************
*
*	MB86A21 Optimazed parameter for Alps TDAL
*
*  Copyright (c) 2009 Fujitsu Microelectronics 
*  All rights reserved. 
*
*  Created 03/05/2009
*
****************************************************************************/


#define MAX3580_Tuner_Adr_DEFAULT             0xc0
#define MAX3580_IF_freq_kHz_DEFAULT           MB86A2x_IF_FREQ_000_kHz
#define MAX3580_MB86A2x_CH_UNIT_DEFAULT       MB86A2x_CH_UNIT_JP
#define MAX3580_MB86A2x_CH_DEFAULT            14
#define MAX3580_RF_freq_kHz_DEFAULT           473143

#define MAX3580_MB86A2x_Adr_DEFAULT           MB86A2x_DEV_ADR_20
#define MAX3580_IQ_pol_DEFAULT                1	/* value after reset=0 */
#define MAX3580_POWER_DOWN_DEFAULT            0
#define MAX3580_RF_CONT_EN_DEFAULT            1

#define MAX3580_INPUT_CLK_FREQ_kHz_DEFAULT    16000
#define MAX3580_REFSEL_DEFAULT                MB86A2x_REFSEL_16MHz
#define MAX3580_PLLPASS_DEFAULT               0

#define MAX3580_RECEP_SEG_DEFAULT             MB86A2x_RECEP_SEG_B_64QAM

#define MAX3580_MAIF_DEFAULT                  0	/* value after reset=0 */
#define MAX3580_MARF_DEFAULT                  0	/* value after reset=0 */
#define MAX3580_IFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define MAX3580_RFAGC_POL_DEFAULT             1	/* value after reset=1 */
#define MAX3580_RFAGC_ON_DEFAULT              0

#define MAX3580_VIFREF_DEFAULT                10	/* value after reset=50(d) */
#define MAX3580_AGAIN_DEFAULT                 55	/* value after reset=120(d) */
#define MAX3580_DTS_DEFAULT                   2	    /* value after reset=255(d) */
#define MAX3580_IFA_DEFAULT                   53	/* value after reset=53(d) */
#define MAX3580_IFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define MAX3580_IFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define MAX3580_MAXIFAGC_DEFAULT              255	/* value after reset=0(d) */
#define MAX3580_IFSAMPLE_DEFAULT              1	    /* value after reset=100(d) */
#define MAX3580_OUTSAMPLE_DEFAULT             1  	/* value after reset=100(d) */
#define MAX3580_VMAIF_DEFAULT                 0		/* value after reset=0(d) */

#define MAX3580_DRF_DEFAULT                   20000	/* value after reset=20000(d) */
#define MAX3580_BGAIN_DEFAULT                 2		/* value after reset=20000(d) */
#define MAX3580_RFA_DEFAULT                   34	/* value after reset=34(d) */
#define MAX3580_RFB_DEFAULT                   3800	/* value after reset=3800(d) */
#define MAX3580_RFAGCO_DEFAULT                0		/* value after reset=0(d) */
#define MAX3580_MAXRFAGC_DEFAULT              255	/* value after reset=255(d) */
#define MAX3580_VMARF_DEFAULT                 0		/* value after reset=0(d) */

#define MAX3580_S1CNT_DEFAULT                 60	/* value after reset=0(d) */

#define MAX3580_TS_OUT_SEL_DEFAULT            MB86A2x_TS_OUT_PARALLEL
#define MAX3580_TS_LAYER_DEFAULT              MB86A2x_TS_LAYER_ALL
#define MAX3580_TS_CLK_DEFALT                 MB86A2x_TS_CLK_POS // MB86A2x_TS_CLK_NEG
#define MAX3580_TS_ERR_MASK_DEFAULT           MB86A2x_TS_ERR_MASK_OFF
#define MAX3580_TS_PARITY_DEFAULT             MB86A2x_TS_RS_PARITY_ON
#define MAX3580_TS_SYNC_DEFAULT               MB86A2x_TS_SYNC_ON

#define MAX3580_VBER_A_NUM_DEFAULT            0x000fff
#define MAX3580_VBER_B_NUM_DEFAULT            0x00ffff
#define MAX3580_VBER_C_NUM_DEFAULT            0x00ffff
#define MAX3580_SBER_A_NUM_DEFAULT            0x0003ff
#define MAX3580_SBER_B_NUM_DEFAULT            0x003fff
#define MAX3580_SBER_C_NUM_DEFAULT            0x003fff
#define MAX3580_PBER_A_NUM_DEFAULT            0x0003ff
#define MAX3580_PBER_B_NUM_DEFAULT            0x003fff
#define MAX3580_PBER_C_NUM_DEFAULT            0x003fff
#define MAX3580_CN_SYMBOL_DEFAULT             0x04
#define MAX3580_MER_SYMBOL_DEFAULT            0x04

#define MAX3580_START_CH_DEFAULT              7
#define MAX3580_STOP_CH_DEFAULT               69
#define MAX3580_WAIT_CH_SCH_STAT_DEFAULT      10
#define MAX3580_WAIT_CH_SCH_SEQ_DEFAULT       20
#define MAX3580_SCH_LOOP_MAX_DEFAULT          50
