#include "MB86A21_API_defs.h"

typedef enum {
    I2C_OK = 1,
    I2C_NG = 0
} I2C_ACCCESS ;

UINT32 MB86A2x_GetTickPeriod( void );
UINT32 MB86A2x_GetTickTime( void );
UINT32 MB86A2x_wait( SINT32 ) ;
UINT32 MB86A2x_write( UINT8, UINT8, UINT8 ) ;
UINT32 MB86A2x_read( UINT8, UINT8, UINT8 * ) ;
UINT32 MB86A2x_tuner_write( UINT8, UINT8, UINT8 * ) ;
UINT32 MB86A2x_tuner_read( UINT8 Tu_adr, UINT8 bytes , UINT8 *value );

SINT32 MB86A2x_silicon_tuner_write_in_bytes( UINT32 tuner_w_adr, UINT32 start_adr, UINT32 write_num, UINT8 *write_data ) ;
SINT32 MB86A2x_silicon_tuner_write_in_dword( UINT32 tuner_w_adr, UINT32 start_adr, UINT32 write_num, UINT32 *write_data ) ;
SINT32 MB86A2x_silicon_tuner_read( UINT32 tuner_r_adr, UINT32 start_adr, UINT32 read_num, UINT32 *read_data ) ;
