/******************************************************************************
**
** \file      mb86a21.h
**
** \brief     MB86A21 ISDB-T Demodulator include file.
**
**            (C) FMC 2003 - 2010
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU MICROELECTRONICS
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86a21.h,v 1.2 2009/11/17 11:10:19 PeterQ Exp $
**
******************************************************************************/
#ifndef _MB86A2X_H_
#define _MB86A2X_H_

/* ------- public MB86A2X API functions -------------------------------- */
#ifdef TDA18211
int32_t MB86A21_TDA18211_Detect(uint8_t slotNum, feHandleT *h);
#endif
#ifdef NI386X
int32_t MB86A21_NI386x_Detect(uint8_t slotNum, feHandleT *h);
#endif
#ifdef MAX3580
int32_t MB86A21_MAX3580_Detect(uint8_t slotNum, feHandleT *h);
#endif
#ifdef MXL135RF
int32_t MB86A21_MXL135RF_Detect(uint8_t slotNum, feHandleT *h);
#endif
#endif  /* _MB86A2X_H_ */

