/******************************************************************************
**
** \file      mb86a22_print.h
**
** \brief     MB86A22 ISDB-T Demodulator include file.
**
**            (C) FMC 2003 - 2010
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: MB86A22_print.h 5874 2010-03-02 14:42:55Z wlaris $
**
******************************************************************************/
#ifndef _MB86A22_PRINT_H_
#define _MB86A22_PRINT_H_

void MB86A22_printf_version( MB86A2x_VERSION_INFO *version_info );
void MB86A22_printf_IF_input_level( MB86A2x_AGC_INFO *agc_info );
void MB86A22_printf_IFAGCDAC( MB86A2x_AGC_INFO *agc_info );
void MB86A22_printf_SEQUENCE_value( MB86A2x_LOCKNG_INFO *locking_info );
void MB86A22_printf_STR_Freq_Error( MB86A2x_FREQ_ERR_INFO *freq_err_info );
void MB86A22_printf_CRR_Freq_Error( MB86A2x_FREQ_ERR_INFO *freq_err_info );
void MB86A22_printf_CN( MB86A2x_SIG_QUAL_INFO *sig_qual_info );
void MB86A22_printf_BER_Lay_A( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info );
void MB86A22_printf_BER_Lay_B( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info );
void MB86A22_printf_BER_Lay_C( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info );
void MB86A22_printf_MER( MB86A2x_SIG_QUAL_INFO *sig_qual_info );
void MB86A22_printf_Mode_Guard( MB86A2x_TMCC_INFO *tmcc_info );
void MB86A22_printf_TMCC( MB86A2x_TMCC_INFO *tmcc_info );
void MB86A22_printf_Channel_None( int ch );
void MB86A22_printf_Channel_None_freq( int freq );
void MB86A22_fprintf_TMCC( MB86A2x_CH_SCH_INFO *ch_sch_info );

#endif  /* _MB86A22_PRINT_H_ */
