/******************************************************************************
**
** \file      mb86a22.h
**
** \brief     MB86A22 ISDB-T Demodulator include file.
**
**            (C) FMC 2003 - 2010
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86a22.h 5874 2010-03-02 14:42:55Z wlaris $
**
******************************************************************************/
#ifndef _MB86A22_H_
#define _MB86A22_H_
#if 0 //Change to auto detect tuner type
/* ------- public MB86A2X API functions -------------------------------- */
int32_t MB86A22_TDA182I1_Detect(uint8_t slotNum, feHandleT *h);
int32_t MB86A22_TDA182I2_Detect(uint8_t slotNum, feHandleT *h);
int32_t MB86A22_NI386x_Detect(uint8_t slotNum, feHandleT *h);
int32_t MB86A22_MAX3580_Detect(uint8_t slotNum, feHandleT *h);
int32_t MB86A22_MXL135RF_Detect(uint8_t slotNum, feHandleT *h);
int32_t MB86A22_FC2581_Detect(uint8_t slotNum, feHandleT *h);
#else
int32_t MB86A22_Detect( uint8_t slot, feHandleT* hp );
#endif

#endif  /* _MB86A2X_H_ */
