/*
*****************************************************************************
**
** \file        ./subsystems/paint/fbf/src/fbf_zwo_bold.h
** 
** \version     $Id: fbf_zwo_bold.h 5280 2011-02-21 16:39:28Z wlaris $
**
** \brief       fbf file include for Zwo bold font
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2007 - 2008 by Fujitsu Microelectronics Europe GmbH
** (C) Copyright 2010-2011 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#include <stdint.h>

extern const uint32_t Fujitsu_Zwo_Bold_FBF_18_DATA;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_18_SIZE;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_24_DATA;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_24_SIZE;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_32_DATA;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_32_SIZE;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_40_DATA;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_40_SIZE;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_48_DATA;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_48_SIZE;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_64_DATA;
extern const uint32_t Fujitsu_Zwo_Bold_FBF_64_SIZE;
