/*
 * jdatasrcfapi.h
 *
 * This file defines the data source interface utilized by the
 * FAPI PICTURE decoder library. --RK
 */

#ifndef JDATASRCFAPI_H
#define JDATASRCFAPI_H

#ifndef JCONFIG_INCLUDED    /* in case jinclude.h already did */
#include <jpeg/jconfig.h>   /* widely used configuration options */
#endif
#include <jpeg/jmorecfg.h>  /* seldom changed options */


/*
 * Include PICTURE lib header for callback signature
 */
#include <picture/picdec.h>


/* FAPI PICTURE decoder lib specific data source manager. */
/* Caller is responsible for opening the file before and closing after. */
EXTERN(void) fapi_ijg_jpeg_flexible_src (j_decompress_ptr cinfo, \
                                         void* source_ptr, \
                                         PICDEC_ReadFileChunkT read_fptr);

#endif // JDATASRCFAPI_H
