/***********************************************************************
 * MODULE     : TT_DriverTime
 * FILE       : TT_DriverTime.h
 * COPYRIGHT  : TARA Systems GmbH
 * DESCRIPTION:
 *   header file
 ***********************************************************************/

#ifndef _TT_DRIVER_TIME_H_
#define _TT_DRIVER_TIME_H_

#ifdef __cplusplus
  extern "C" {
#endif


/***********************************************************************
 * SECTION: #include
 ***********************************************************************/

#include <teletext/TT_Stdinc.h>
//#include <teletext/TT_DecoderConfig.h>


// Define a function point to get time stamp and should be implement by user
typedef U_INT32 (*TT_GetTimeStampPtrT)();

// TT_DriverTimeInit has to be called at initial stage to register 
// the implementation of getTimeStamp.
PUBLIC void TT_DriverTimeInit(TT_GetTimeStampPtrT getTimeStamp);

/***********************************************************************
 * SECTION: #define
 ***********************************************************************/

PUBLIC U_INT32
TT_DriverTimeGetms( void );

#ifdef __cplusplus
}
#endif

#endif /* _TT_DRIVER_TIME_H_ */
