#!/bin/sh

RM='/bin/rm'
CD=cd
MV=mv
MAKE=make
PWD=/bin/pwd

TOPDIR=`${PWD}`
INCDIR=${TOPDIR}/include
LIBDIR=${TOPDIR}/lib

${RM} ${TOPDIR}/Makefile
${RM} ${TOPDIR}/audio/Makefile
${RM} ${TOPDIR}/audio/aal/Makefile
${RM} ${TOPDIR}/closedCaption/Makefile
${RM} ${TOPDIR}/compression/Makefile
${RM} ${TOPDIR}/compression/libz/Makefile
${RM} ${TOPDIR}/fs/Makefile
${RM} ${TOPDIR}/fs/flashfs/Makefile
${RM} ${TOPDIR}/fe/Makefile
${RM} ${TOPDIR}/paint/Makefile
${RM} ${TOPDIR}/paint/draw/Makefile
${RM} ${TOPDIR}/paint/freetype2/Makefile
${RM} ${TOPDIR}/paint/fontserver/Makefile
${RM} ${TOPDIR}/paint/fontserver/engines/Makefile
${RM} ${TOPDIR}/paint/fontserver/engines/fbf/Makefile
${RM} ${TOPDIR}/paint/fontserver/engines/freetype/Makefile
${RM} ${TOPDIR}/paint/osdhandler/Makefile
${RM} ${TOPDIR}/paint/jpeg/Makefile
${RM} ${TOPDIR}/paint/picture/Makefile
${RM} ${TOPDIR}/paint/picture/codecs/Makefile
${RM} ${TOPDIR}/paint/picture/codecs/bmp/Makefile
${RM} ${TOPDIR}/paint/picture/codecs/jpeg/Makefile
${RM} ${TOPDIR}/paint/picture/codecs/jpeg/ijg/Makefile
${RM} ${TOPDIR}/paint/picture/codecs/png/Makefile
${RM} ${TOPDIR}/paint/picture/codecs/png/libpng/Makefile
${RM} ${TOPDIR}/pvr/Makefile
${RM} ${TOPDIR}/sfal/Makefile
${RM} ${TOPDIR}/video/Makefile
${RM} ${TOPDIR}/video/val/Makefile
${RM} ${TOPDIR}/voc/Makefile

${RM} ${INCDIR}/freetype/ft2build.h
${RM} -rf  ${INCDIR}/freetype
${RM} ${INCDIR}/*/*.h
${RM} ${INCDIR}/picture/png/*.h

${RM} ${LIBDIR}/libfbf.a
${RM} ${LIBDIR}/libfbf.so
${RM} ${LIBDIR}/libftf.a
${RM} ${LIBDIR}/libftf.so
${RM} ${LIBDIR}/libsubtitle.a
${RM} ${LIBDIR}/libsubtitle.so
${RM} ${LIBDIR}/libteletext.a
${RM} ${LIBDIR}/libteletext.so
${RM} ${LIBDIR}/libdsf89000.a

${MV} ${TOPDIR}/paint/fbf/libfbf.so.0.1 ${TOPDIR}/paint/fbf/libfbf.so
${MV} ${TOPDIR}/paint/ftf/libftf.so.0.1 ${TOPDIR}/paint/ftf/libftf.so
${MV} ${TOPDIR}/subtitle/libsubtitle.so.0.1 ${TOPDIR}/subtitle/libsubtitle.so
${MV} ${TOPDIR}/teletext/libteletext.so.0.1 ${TOPDIR}/teletext/libteletext.so

