/******************************************************************************
**
** \file      ./subsystems/fe/mb86667/src/mb86667_types.h
**
** \brief     DVB-S Demodulator necessary types include file.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86667_types.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/
#ifndef _MB86667_TYPES_H_
#define _MB86667_TYPES_H_

#include <fapi/sys_driver.h>
#include "../src/fe_priv.h"

#define FBOOL  uint8_t
#define FFALSE 0
#define FTRUE  1

typedef int (*FAPI_FE_RESET_FCT_T)(unsigned char);

#endif  /* _MB86667_TYPES_H_ */



