/******************************************************************************
**
** \file      ./subsystems/fe/mb86668/src/mb86668.h
**
** \brief     CE6353 OFDM Demodulator include file.
**
**            (C) Fujitsu Semiconductor Europe 2002 - 2007
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86668.h 1911 2009-02-02 10:17:47Z wlaris $
**
******************************************************************************/
#ifndef _MB86668_H_
#define _MB86668_H_

/* ------- public MB86668 API functions -------------------------------- */

int32_t MB86668_DCT70701_Detect(uint8_t slotNum, feHandleT *h);
int32_t MB86668_DCT70602_Detect(uint8_t slotNum, feHandleT *h);
int32_t MB86668_CD1316_Detect  (uint8_t slotNum, feHandleT *h);
int32_t MB86668_CD1600_Detect  (uint8_t slotNum, feHandleT *h);

#endif  /* _MB86668_H_ */



