/******************************************************************************
**
** \file      mb86a21_print.h
**
** \brief     MB86A21 ISDB-T Demodulator include file.
**
**            (C) FMC 2003 - 2010
**
** \attention THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU MICROELECTRONICS
**            ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**            OMMISSIONS.
**
** \version   \$Id: mb86a21_print.h,v 1.2 2009/11/17 11:10:19 PeterQ Exp $
**
******************************************************************************/
#ifndef _MB86A21_PRINT_H_
#define _MB86A21_PRINT_H_

void FUJITSU_printf_version( MB86A2x_VERSION_INFO *version_info );
void FUJITSU_printf_IF_input_level( MB86A2x_AGC_INFO *agc_info );
void FUJITSU_printf_IFAGCDAC( MB86A2x_AGC_INFO *agc_info );
void FUJITSU_printf_SEQUENCE_value( MB86A2x_LOCKNG_INFO *locking_info );
void FUJITSU_printf_STR_Freq_Error( MB86A2x_FREQ_ERR_INFO *freq_err_info );
void FUJITSU_printf_CRR_Freq_Error( MB86A2x_FREQ_ERR_INFO *freq_err_info );
void FUJITSU_printf_CN( MB86A2x_SIG_QUAL_INFO *sig_qual_info );
void FUJITSU_printf_BER_Lay_A( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info );
void FUJITSU_printf_BER_Lay_B( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info );
void FUJITSU_printf_BER_Lay_C( MB86A2x_SIG_QUAL_INFO *sig_qual_info, MB86A2x_TMCC_INFO *tmcc_info );
void FUJITSU_printf_MER( MB86A2x_SIG_QUAL_INFO *sig_qual_info );
void FUJITSU_printf_Mode_Guard( MB86A2x_TMCC_INFO *tmcc_info );
void FUJITSU_printf_TMCC( MB86A2x_TMCC_INFO *tmcc_info );
void FUJITSU_printf_Channel_None( int ch );
void FUJITSU_printf_Channel_None_freq( int freq );
void FUJITSU_fprintf_TMCC( MB86A2x_CH_SCH_INFO *ch_sch_info );

#endif  /* _MB86A21_PRINT_H_ */
