/*!
*****************************************************************************
**
** \file        ./subsystems/paint/draw/src/draw_priv.h
**
** \version     $Id: draw_priv.h 5280 2011-02-21 16:39:28Z wlaris $
**
** \brief       DRAW Driver
**
** This file contains the declaration of the private DRAW driver interface.
**
** \attention   THIS SAMPLE CODE IS PROVIDED AS IS. FUJITSU SEMICONDUCTOR
**              ACCEPTS NO RESPONSIBILITY OR LIABILITY FOR ANY ERRORS OR
**              OMMISSIONS.
**
** (C) Copyright 2008 - 2009 by Fujitsu Microelectronics Europe GmbH
** (C) Copyright 2010-2011 by Fujitsu Semiconductor Europe GmbH
**
*****************************************************************************
*/

#ifndef DRAW_PRIV_H
    #define DRAW_PRIV_H

    //***********************************************************************
    //***********************************************************************
    //** Global Data
    //***********************************************************************
    //***********************************************************************

    extern uint32_t drawInitialized;

#endif // DRAW_PRIV_H
