/***********************************************************************
 * MODULE     : TT_Global
 * FILE       : TT_Global.h
 * COPYRIGHT  : TARA Systems GmbH
 * DESCRIPTION:
 *   header file
 ***********************************************************************/

#ifndef _TT_GLOBAL_H_
#define _TT_GLOBAL_H_

/*---------------------------------------------------------------------------*/
/* global definitions                                                        */
/*---------------------------------------------------------------------------*/
#ifdef _USRDLL
  #ifdef PUBLIC
    #undef PUBLIC
  #endif
  #define PUBLIC __declspec( dllexport )
#else
  #define PUBLIC
#endif

#define PRIVATE  static

typedef unsigned char      U_INT8;  /* 8 bit unsigned integer value */
typedef unsigned short     U_INT16; /* 16 bit unsigned integer value */
typedef unsigned long      U_INT32; /* 32 bit unsigned integer value */

#ifndef INT8_16_DEFINED
  typedef char               INT8;    /* 8 bit signed integer value */
  #ifndef INT16_DEFINED
    #define INT16_DEFINED
    typedef short              INT16;   /* 16 bit signed integer value */
  #endif  /*INT16_DEFINED*/
#endif /* INT8_16_DEFINED */



#define far
#define ROM const far
typedef unsigned int   BitField;      /* standard bit field, platformdependent */
typedef unsigned char  BitField8;     /*  8 bit bit field */
typedef unsigned short BitField16;    /* 16 bit bit field */
typedef unsigned long  BitField32;    /* 32 bit bit field */


#ifndef TT_BOOL
 typedef unsigned char TT_BOOL;
#endif /* TT_BOOL */

#ifndef FALSE
 #define FALSE 0
#endif /* FALSE */

#ifndef False
 #define False 0
#endif /* False */

#ifndef TRUE
 #define TRUE  1
#endif /* TRUE */

#ifndef True
 #define True  1
#endif /* True */

#ifndef NULL
 #define NULL 0
#endif /* NULL */

#endif /* _TT_GLOBAL_H_ */

